# Copyright (C) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See LICENSE in project root for information.


"""
MicrosoftML is a library of Python classes to interface with the
Microsoft scala APIs to utilize Apache Spark to create distibuted
machine learning models.

MicrosoftML simplifies training and scoring classifiers and
regressors, as well as facilitating the creation of models using the
CNTK library, images, and text.
"""

from mmlspark.cognitive.AddDocuments import *
from mmlspark.cognitive.AnalyzeImage import *
from mmlspark.cognitive.AzureSearchWriter import *
from mmlspark.cognitive.BingImageSearch import *
from mmlspark.cognitive.DescribeImage import *
from mmlspark.cognitive.DetectAnomalies import *
from mmlspark.cognitive.DetectFace import *
from mmlspark.cognitive.DetectLastAnomaly import *
from mmlspark.cognitive.EntityDetector import *
from mmlspark.cognitive.FindSimilarFace import *
from mmlspark.cognitive.GenerateThumbnails import *
from mmlspark.cognitive.GroupFaces import *
from mmlspark.cognitive.IdentifyFaces import *
from mmlspark.cognitive.KeyPhraseExtractor import *
from mmlspark.cognitive.LanguageDetector import *
from mmlspark.cognitive.NER import *
from mmlspark.cognitive.OCR import *
from mmlspark.cognitive.RecognizeDomainSpecificContent import *
from mmlspark.cognitive.RecognizeText import *
from mmlspark.cognitive.SimpleDetectAnomalies import *
from mmlspark.cognitive.SpeechToText import *
from mmlspark.cognitive.TagImage import *
from mmlspark.cognitive.TextSentiment import *
from mmlspark.cognitive.VerifyFaces import *

